package controller

import (
	"web-qudo-be/app/module/about_us_contents/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	AboutUsContent AboutUsContentController
}

func NewController(aboutUsContentService service.AboutUsContentService, log zerolog.Logger) *Controller {
	return &Controller{
		AboutUsContent: NewAboutUsContentController(aboutUsContentService, log),
	}
}